- fix up string comparison in init script (#427047)
This commit is contained in:
parent
dc83a550e6
commit
75b0755c88
21
radvd-1.1-string_cmp.patch
Normal file
21
radvd-1.1-string_cmp.patch
Normal file
@ -0,0 +1,21 @@
|
||||
diff -up radvd-1.1/redhat/radvd.init.string_cmp radvd-1.1/redhat/radvd.init
|
||||
--- radvd-1.1/redhat/radvd.init.string_cmp 2008-02-25 11:27:36.000000000 +0100
|
||||
+++ radvd-1.1/redhat/radvd.init 2008-02-25 11:30:30.000000000 +0100
|
||||
@@ -28,7 +28,7 @@
|
||||
|
||||
[ -f /etc/sysconfig/radvd ] && . /etc/sysconfig/radvd
|
||||
|
||||
-if [ $1 == 'status' ]; then
|
||||
+if [ "$1" == "status" ]; then
|
||||
[ -f /usr/sbin/radvd ] || exit 4
|
||||
else
|
||||
[ -f /usr/sbin/radvd ] || exit 1
|
||||
@@ -43,7 +43,7 @@ case "$1" in
|
||||
start)
|
||||
|
||||
# Check that networking is up.
|
||||
- [ x${NETWORKING_IPV6} = "xyes" ] || exit 1
|
||||
+ [ "${NETWORKING_IPV6}" = "yes" ] || exit 1
|
||||
|
||||
echo -n $"Starting $PROG: "
|
||||
daemon radvd $OPTIONS
|
@ -5,7 +5,7 @@
|
||||
Summary: A Router Advertisement daemon
|
||||
Name: radvd
|
||||
Version: 1.1
|
||||
Release: 1%{?dist}
|
||||
Release: 2%{?dist}
|
||||
# The code includes the advertising clause, so it's GPL-incompatible
|
||||
License: BSD-style
|
||||
Group: System Environment/Daemons
|
||||
@ -18,6 +18,8 @@ Requires(pre): /usr/sbin/useradd
|
||||
BuildRequires: flex, byacc
|
||||
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
||||
|
||||
Patch0: radvd-1.1-string_cmp.patch
|
||||
|
||||
%description
|
||||
radvd is the router advertisement daemon for IPv6. It listens to router
|
||||
solicitations and sends router advertisements as described in "Neighbor
|
||||
@ -31,6 +33,7 @@ services.
|
||||
|
||||
%prep
|
||||
%setup -q
|
||||
%patch0 -p1 -b string_cmp
|
||||
|
||||
%build
|
||||
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIE"
|
||||
@ -92,6 +95,9 @@ fi
|
||||
%{_sbindir}/radvdump
|
||||
|
||||
%changelog
|
||||
* Mon Feb 25 2008 Martin Nagy <mnagy@redhat.com> - 1.1-2
|
||||
- fix up string comparison in init script (#427047)
|
||||
|
||||
* Mon Feb 25 2008 Martin Nagy <mnagy@redhat.com> - 1.1-1
|
||||
- update to new upstream version
|
||||
- remove patch fixed in upstream: initscript
|
||||
|
Loading…
Reference in New Issue
Block a user